# Visualization
TKV3d
Graphic3d

# Graphic3d_AspectText3d Class Reference

Creates and updates a group of attributes for
text primitives. This group contains the colour,
font, expansion factor (height/width ratio), and
inter-character space.
.

`#include <Graphic3d_AspectText3d.hxx>`

## Public Member Functions

Standard_EXPORT | Graphic3d_AspectText3d ()
| Creates a context table for text primitives defined with the following default values: .
Standard_EXPORT | Graphic3d_AspectText3d (const Quantity_Color &AColor, const Graphic3d_NameOfFont AFont, const Standard_Real AExpansionFactor, const Standard_Real ASpace, const Aspect_TypeOfStyleText AStyle=Aspect_TOST_NORMAL, const Aspect_TypeOfDisplayText ADisplayType=Aspect_TODT_NORMAL)
| Creates a context table for text primitives defined with the specified values. .
Standard_EXPORT void | SetColor (const Quantity_Color &AColor)
| Modifies the colour of <me>. .
Standard_EXPORT void | SetExpansionFactor (const Standard_Real AFactor)
| Modifies the expansion factor (height/width ratio) If the factor is less than 1, the characters will be higher than they are wide. .
Standard_EXPORT void | SetFont (const Graphic3d_NameOfFont AFont)
| Modifies the font of <me>. .
Standard_EXPORT void | SetSpace (const Standard_Real ASpace)
| Modifies the space between the characters. .
Standard_EXPORT void | SetStyle (const Aspect_TypeOfStyleText AStyle)
| Modifies the style of the text. TOST_NORMAL Default text. The text is displayed like any other graphic object. This text can be hidden by another object that is nearest from the point of view. TOST_ANNOTATION The text is always visible. The texte is displayed over the other object according to the priority. .
Standard_EXPORT void | SetDisplayType (const Aspect_TypeOfDisplayText ADisplayType)
| Define the display type of the text. .
Standard_EXPORT void | SetColorSubTitle (const Quantity_Color &AColor)
| Modifies the colour of the subtitle for the TODT_SUBTITLE TextDisplayType and the colour of backgroubd for the TODT_DEKALE TextDisplayType. .
Standard_EXPORT void | SetTextureMappedFont (const Standard_Boolean AFlag)
| Turns usage of texture mapped fonts on/off .
Standard_EXPORT void | Values (Quantity_Color &AColor, Graphic3d_NameOfFont &AFont, Standard_Real &AnExpansionFactor, Standard_Real &ASpace) const
| Returns the current values of the group <me>. .
Standard_EXPORT void | Values (Quantity_Color &AColor, Graphic3d_NameOfFont &AFont, Standard_Real &AnExpansionFactor, Standard_Real &ASpace, Aspect_TypeOfStyleText &AStyle, Aspect_TypeOfDisplayText &ADisplayType, Quantity_Color &AColorSubTitle, Standard_Boolean &ATextureMappedFont) const
| Returns the current values of the group <me>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | TexFontEnable ()
| Enable to use the texture mapped fonts by default .
static Standard_EXPORT void | TexFontDisable ()
| Disable to use the texture mapped fonts by default .
static Standard_EXPORT Standard_Boolean | IsTexFontEnable ()
| Returns TRUE when the texture mapped fonts are enable to use by default. .

## Private Attributes

Graphic3d_NameOfFont | MyFont
Quantity_Color | MyColor
Standard_Real | MyFactor
Standard_Real | MySpace
Aspect_TypeOfStyleText | MyStyle
Aspect_TypeOfDisplayText | MyDisplayType
Quantity_Color | MyColorSubTitle
Standard_Boolean | MyTextureMappedFont

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_AspectText3d::Graphic3d_AspectText3d | ( |  | ) |

Standard_EXPORT Graphic3d_AspectText3d::Graphic3d_AspectText3d | ( | const Quantity_Color & | AColor,
|  | const Graphic3d_NameOfFont | AFont,
|  | const Standard_Real | AExpansionFactor,
|  | const Standard_Real | ASpace,
|  | const Aspect_TypeOfStyleText | AStyle = `Aspect_TOST_NORMAL`,
|  | const Aspect_TypeOfDisplayText | ADisplayType = `Aspect_TODT_NORMAL`
| ) |

## Member Function Documentation

Standard_EXPORT const Graphic3d_AspectText3d::Handle | ( | Standard_Type |  | ) | const

static Standard_EXPORT Standard_Boolean Graphic3d_AspectText3d::IsTexFontEnable | ( |  | ) | `[static]`

Standard_EXPORT void Graphic3d_AspectText3d::SetColor | ( | const Quantity_Color & | AColor | ) |

Standard_EXPORT void Graphic3d_AspectText3d::SetColorSubTitle | ( | const Quantity_Color & | AColor | ) |

Standard_EXPORT void Graphic3d_AspectText3d::SetDisplayType | ( | const Aspect_TypeOfDisplayText | ADisplayType | ) |

Standard_EXPORT void Graphic3d_AspectText3d::SetExpansionFactor | ( | const Standard_Real | AFactor | ) |

Standard_EXPORT void Graphic3d_AspectText3d::SetFont | ( | const Graphic3d_NameOfFont | AFont | ) |

Standard_EXPORT void Graphic3d_AspectText3d::SetSpace | ( | const Standard_Real | ASpace | ) |

Standard_EXPORT void Graphic3d_AspectText3d::SetStyle | ( | const Aspect_TypeOfStyleText | AStyle | ) |

Standard_EXPORT void Graphic3d_AspectText3d::SetTextureMappedFont | ( | const Standard_Boolean | AFlag | ) |

static Standard_EXPORT void Graphic3d_AspectText3d::TexFontDisable | ( |  | ) | `[static]`

static Standard_EXPORT void Graphic3d_AspectText3d::TexFontEnable | ( |  | ) | `[static]`

Standard_EXPORT void Graphic3d_AspectText3d::Values | ( | Quantity_Color & | AColor,
|  | Graphic3d_NameOfFont & | AFont,
|  | Standard_Real & | AnExpansionFactor,
|  | Standard_Real & | ASpace,
|  | Aspect_TypeOfStyleText & | AStyle,
|  | Aspect_TypeOfDisplayText & | ADisplayType,
|  | Quantity_Color & | AColorSubTitle,
|  | Standard_Boolean & | ATextureMappedFont
| ) | const

Standard_EXPORT void Graphic3d_AspectText3d::Values | ( | Quantity_Color & | AColor,
|  | Graphic3d_NameOfFont & | AFont,
|  | Standard_Real & | AnExpansionFactor,
|  | Standard_Real & | ASpace
| ) | const

## Field Documentation

Quantity_Color Graphic3d_AspectText3d::MyColor `[private]`

Quantity_Color Graphic3d_AspectText3d::MyColorSubTitle `[private]`

Aspect_TypeOfDisplayText Graphic3d_AspectText3d::MyDisplayType `[private]`

Standard_Real Graphic3d_AspectText3d::MyFactor `[private]`

Graphic3d_NameOfFont Graphic3d_AspectText3d::MyFont `[private]`

Standard_Real Graphic3d_AspectText3d::MySpace `[private]`

Aspect_TypeOfStyleText Graphic3d_AspectText3d::MyStyle `[private]`

Standard_Boolean Graphic3d_AspectText3d::MyTextureMappedFont `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_AspectText3d.hxx